/*
                               Print Dialog
 */

#ifndef PRINT_DLG_H
#define PRINT_DLG_H

#if !defined(WIN32)

#include <gtk/gtk.h>
#ifdef HAVE_LIBENDEAVOUR2
# include <endeavour2.h>
#endif
#include "imgview.h"
#include "print_values.h"


#ifdef HAVE_LIBENDEAVOUR2
extern gboolean PrintDlgGetResponse(
	imgview_image_struct *img,		/* Image to print */
	const gchar *filename,			/* File name */
	print_values_struct *v,			/* Print values (will be modified) */
	const guint8 *bg_color,			/* 4 bytes RGBA */
	GtkWidget *toplevel,
	edv_context_struct *edv2_ctx
);
#else
extern gboolean PrintDlgGetResponse(
	imgview_image_struct *img,		/* Image to print */
	const gchar *filename,			/* File name */
	print_values_struct *v,			/* Print values (will be modified) */
	const guint8 *bg_color,			/* 4 bytes RGBA */
	GtkWidget *toplevel
);
#endif


#endif	/* !WIN32 */

#endif	/* PRINT_DLG_H */
